<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFOddFooter (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFOddFooter (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFOddFooter.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFObjectData.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFOddHeader.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFOddFooter.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFOddFooter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.usermodel</div>
    <h2 title="Class XSSFOddFooter" class="title">Class XSSFOddFooter</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html"
                       title="class in org.apache.poi.xssf.usermodel.extensions">org.apache.poi.xssf.usermodel.extensions.XSSFHeaderFooter</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xssf.usermodel.XSSFOddFooter</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/Footer.html"
                           title="interface in org.apache.poi.ss.usermodel">Footer</a>, <a
                            href="../../../../../org/apache/poi/ss/usermodel/HeaderFooter.html"
                            title="interface in org.apache.poi.ss.usermodel">HeaderFooter</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XSSFOddFooter</span>
extends <a href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html"
           title="class in org.apache.poi.xssf.usermodel.extensions">XSSFHeaderFooter</a>
implements <a href="../../../../../org/apache/poi/ss/usermodel/Footer.html"
              title="interface in org.apache.poi.ss.usermodel">Footer</a></pre>
                <div class="block">Odd page footer value. Corresponds to odd printed pages.
                    Odd page(s) in the sheet may not be printed, for example, if the print area is specified to be
                    a range such that it falls outside an odd page's scope.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFOddFooter.html#XSSFOddFooter-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter-">XSSFOddFooter</a></span>(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter&nbsp;headerFooter)</code>
                                    <div class="block">Create an instance of XSSFOddFooter from the supplied XML bean
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFOddFooter.html#getText--">getText</a></span>()</code>
                                    <div class="block">Get the content text representing the footer</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFOddFooter.html#setText-java.lang.String-">setText</a></span>(java.lang.String&nbsp;text)</code>
                                    <div class="block">Set a text for the footer.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xssf.usermodel.extensions.XSSFHeaderFooter">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xssf.usermodel.extensions.<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html"
                                        title="class in org.apache.poi.xssf.usermodel.extensions">XSSFHeaderFooter</a>
                                </h3>
                                <code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html#areFieldsStripped--">areFieldsStripped</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html#getCenter--">getCenter</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html#getHeaderFooter--">getHeaderFooter</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html#getLeft--">getLeft</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html#getRight--">getRight</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html#getValue--">getValue</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html#setAreFieldsStripped-boolean-">setAreFieldsStripped</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html#setCenter-java.lang.String-">setCenter</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html#setLeft-java.lang.String-">setLeft</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html#setRight-java.lang.String-">setRight</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html#stripFields-java.lang.String-">stripFields</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.usermodel.Footer">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Footer.html"
                                        title="interface in org.apache.poi.ss.usermodel">Footer</a></h3>
                                <code><a href="../../../../../org/apache/poi/ss/usermodel/Footer.html#getCenter--">getCenter</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Footer.html#getLeft--">getLeft</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Footer.html#getRight--">getRight</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Footer.html#setCenter-java.lang.String-">setCenter</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Footer.html#setLeft-java.lang.String-">setLeft</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Footer.html#setRight-java.lang.String-">setRight</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XSSFOddFooter-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XSSFOddFooter</h4>
                                <pre>protected&nbsp;XSSFOddFooter(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter&nbsp;headerFooter)</pre>
                                <div class="block">Create an instance of XSSFOddFooter from the supplied XML bean</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>headerFooter</code> -</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html#getOddFooter--"><code>XSSFSheet.getOddFooter()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getText()</pre>
                                <div class="block">Get the content text representing the footer</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html#getText--">getText</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html"
                                                title="class in org.apache.poi.xssf.usermodel.extensions">XSSFHeaderFooter</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>text</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setText-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setText</h4>
                                <pre>public&nbsp;void&nbsp;setText(java.lang.String&nbsp;text)</pre>
                                <div class="block">Set a text for the footer. If null unset the value.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html#setText-java.lang.String-">setText</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html"
                                                title="class in org.apache.poi.xssf.usermodel.extensions">XSSFHeaderFooter</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>text</code> - - a string representing the footer.</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/xssf/usermodel/extensions/XSSFHeaderFooter.html"
                                           title="class in org.apache.poi.xssf.usermodel.extensions"><code>to see how to
                                            create a string with Header/Footer Formatting Syntax</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFOddFooter.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFObjectData.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFOddHeader.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFOddFooter.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFOddFooter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
